﻿@import url("/HeraCore_TH/Theme.HeraRegistry_30.css?4910");

@import url('/RichWidgets/Theme.FontAwesome.css?3291');

html,
body,
form,
.Page {
    height: 100%;
}

.ModuleName .select2-container a.select2-choice{
    width: 100%;
}



.TopRightMenu .Menu_DropDownButton.open .Menu_DropDownArrow {
    display: inline;
    top: 27px;
    left: 6px;
    position: absolute;
}

.TopRightMenu .Menu_DropDownPanel{
    margin-top:7px;
}

.DetailHeaderTabs>div{
    background-color:#d4edce;
    color:var(--main_color);
}

.MapLink.list-es:after{
    content:'Lista';
}

.MapLink.map-es:after{
    content:'Mapa';
}

.Menu_DropDownPanel a,
.Menu_DropDownPanel a:link,
.Menu_DropDownPanel a:visited {
    color:black;
}

.mapboxgl-popup-content{
    border-top: 2px solid var(--main_color);
}

/*Images from sprite*/
.sprite{
background-image: url('/HeraRentalVacant/img/spriteVacant.svg?1');
background-repeat: no-repeat;
}

.BottomMenu .Menu_DropDownButton:hover .Support.leftMenuIcons,
.BottomMenu .Menu_TopMenuActive .Support.leftMenuIcons,
.BottomMenu .Menu_DropDownButton.Active .Support.leftMenuIcons{
    background-position:-232px -352px;
}

.BottomMenu .Menu_DropDownButton:hover .OptionsBottomMenu.leftMenuIcons,
.BottomMenu .Menu_TopMenuActive .OptionsBottomMenu.leftMenuIcons,
.BottomMenu .Menu_DropDownButton.Active .OptionsBottomMenu.leftMenuIcons{
    background-position:-122px -352px;
}

.excel{
    background-position: -238px 0;
    width: 23px;
    height: 23px;
}

.editIcon{
 background: url('/HeraCore_TH/img/Icon_sprite.svg') no-repeat -32px -5px;
 width: 30px;
 height: 20px;
}

.CheckIcon{
    background: url('/HeraRentalVacant/img/spriteVacant.svg') no-repeat -383px -39px;
    width: 15px;
    height: 18px;
    -webkit-transform: scale(1.5);
    -ms-transform: scale(1.5);
    transform: scale(1.5);
    margin-right: 9px;
}


.Actions{
    text-align: right;
    margin-bottom:10px;
    width: 100%;
}


.editGreen {
    background-position: -32px -71px;
    width: 18px;
    height: 18px;
}

.editRed {
    background-position: -32px -32px;
    width: 18px;
    height: 18px;
}

.editYellow {
    background-position: -32px -52px;
    width: 18px;
    height: 18px;
}


.Button {
    background-color: #fefefe;
    border: 1px solid #040404;
    color: #000;
}

.TableRecords th{
    background-color:var(--main_soft_color);
    color:black;
}

.TableRecords{
    padding: 0;
    border:0 none;
}

.TableRecords_Header {
    padding: 5px 0 6px 10px;
    border:0 none;
}


.Content{
    width: 100%;
}



/*
    How to generate a theme for your company: 
    
        1 - Go to https://silkui.outsystems.com/ThemeCustomizer/GenerateLiverpool.aspx
        2 - Copy the generated CSS
        3 - Replace the CSS for Primary Color Customization below with the Generated CSS

*/



/***************************************/
/***** PRIMARY COLOR CUSTOMIZATION *****/
/***************************************/

.Page{border-top: none;}

a.Button{
    color: #999;
}

.Simple{
    font-size: 11px;
    padding: 0 6px;
    height: 22px;
    line-height: 21px;
}



.Header{
    background-color: #fafafa;
}

.desktop .Div95,.tablet .Div95{
    width: 95%;
}


.Menu_TopMenuActive,
.Menu_DropDownButton.open .Menu_TopMenu {

    box-shadow: none;
}

.Title_Section {
    display:inline;
}

.Menu_TopMenu a:hover,
.Menu_TopMenu:hover {
    background-color: #bcdea5; /*primary-color*/
    box-shadow: none;
}

.Header_Menu,
.Application_Menu {
    background-color:#bcdea5;
    box-shadow: none;
}


.NavigationBar a.Active:after {
    background-color: #bcdea5; /*primary-color*/
}

.desktop .NavigationBar a:hover:after,
.desktop .NavigationBar a:link:hover:after {
    background-color: #c2c3c1; /*primary-color*/
}

.Menu_TopMenuActive,
.Menu_DropDownButton.open .Menu_TopMenu {
    background-color: #bcdea5;
    }





a.Header_ButtonMenu {
    color: #fff;
}





.tablet .Application_Menu a,
.phone .Application_Menu a,
.tablet .Application_Menu a:link,
.phone .Application_Menu a:link,
.phone .Application_Menu a:visited,
.phone .Application_Menu a:visited {
    border-bottom-color: rgba(0,0,0,0.2);
}

span.ListNavigation_CurrentPageNumber{
    color:#FFF;
}

.EditableTable tr.RowControlGroup a.SaveRowAction,
.EditableTable tr.RowControlGroup a.CancelRowAction{
    color: #1F4788; /*primary-color*/
}

.Button.Cancel {
    background-color: #fff;
}

.desktop .Button.Cancel:hover {
    background-color: #fff;
    -webkit-filter: brightness(0.9);
    filter: brightness(0.9);
       
}

.desktop .Button:hover,
.desktop a.Button:hover {
    background-color: var(--main_dark_hover_color);
    -webkit-filter: brightness(0.9);
    filter: brightness(0.9);
    
    color:white;
}

.Button.Link {
    color: #1F4788; /*primary-color*/
}

.ButtonDropdown_button.Button:hover{
    background: transparent;
    box-shadow: none;
}

.desktop .Button.Link:hover {
    background-color: #fff;
    border-color: #1F4788; /*primary-color*/
    color: #1F4788; /*primary-color*/
}

.Button.Danger{
    background-color: #e09d90;
    border-color: #df3a01;
    color: #fff;
}

a.ActionAdd,
a.ActionEdit,
a.ActionChange,
a.ActionDelete {
    background-color: #1F4788; /*primary-color*/
    border-color: #1F4788; /*primary-color*/
    color: #fff;
}

a.ActionAdd:hover,
a.ActionEdit:hover,
a.ActionChange:hover,
a.ActionDelete:hover {
    background-color: #1F4788; /*primary-color*/
    border-color: #1F4788; /*primary-color*/
    -webkit-filter: brightness(0.9);
    filter: brightness(0.9);
    
}


a.ActionAdd:before, 
a.ActionEdit:before, 
a.ActionDelete:before, 
a.ActionChange:before, 
.Actions [class^=fa]{
    background: #1F4788; /*primary-color*/
}



.DropdownMenu .PH > a {
    color: #1F4788; /*primary-color*/
}

.DropdownMenu .PH > a:hover {
    background-color: #efefef;
    color: #1F4788; /*primary-color*/
    text-decoration: none;
}



.IconBadge_number {
    background-color: #1F4788; /*primary-color*/
}

.SectionIndex a.active, 
.SectionIndex a:hover{
    border-bottom-color: #1F4788; /*primary-color*/
    color: #1F4788; /*primary-color*/
}

.SectionIndex.vertical a.active, 
.SectionIndex.vertical  a:hover{
    border-left-color: #1F4788; /*primary-color*/
}


/* Tabs for GOV ------------------------------------------------*/

/* Customization Hera Registry */
.Tabs .SectionExpandable.expanded .SectionExpandable_content{
    box-shadow: none;
}


.Tabs .SectionExpandable.expanded .SectionExpandable_content > div:first-child{
   padding: 20px 0 !important;
}

.Tabs .expand_collapse_header{
    padding: 0;
}
/* END Customization Hera Registry ----------------------*/




/* Calendar **************************/
.pika-prev:after,
.pika-next:after {
    color: #1F4788; /*primary-color*/ 
}

.pika-title {
    border-bottom: 2px solid #1F4788; /*primary-color*/
}

.is-selected .pika-button {
   background-color: #1F4788; /*primary-color*/
}

.has-event .pika-button:after {
   background-color: #1F4788; /*primary-color*/ 
}

/* Calendar DEPRECATED **************************/
.Calendar-dayNames {
    border-top-color: #1F4788; /*primary-color*/
}

.Calendar-navBtn > div {
    color: #1F4788; /*primary-color*/
}

.Calendar-day-selected,
.Calendar-day-selected:hover {
    background: #1F4788; /*primary-color*/
}

.Calendar-time-down, 
.Calendar-time-up, 
.Calendar-time-am {
    color: #1F4788; /*primary-color*/
}


/* OS PopUps **************************/

div.os-internal-Popup .os-internal-ui-dialog .os-internal-ui-dialog-titlebar,
div.os-internal-Popup.os-internal-ui-dialog .os-internal-ui-dialog-titlebar {
    background: #1F4788; /*primary-color*/
}

/* Wizard **************************/

.WizardStep:before {
    border-bottom-color: #c2c2c2;
    border-top-color: #c2c2c2;
}

.WizardStep.ActiveStep {
    background: #1F4788; /*primary-color*/
}

.WizardStep.ActiveStep:before {
    border-bottom-color: #1F4788; /*primary-color*/
    border-top-color: #1F4788; /*primary-color*/
}

.WizardStep.Past {
    background-color: #1F4788; /*primary-color*/
}

.WizardStep.Past:before {
    border-color: #1F4788; /*primary-color*/
}

.apprise-content{
    height: 400px;
    overflow: auto;
}

.MarginTopBig {
    margin-top: 60px !important;
}

/********************** Payment terms ****************************/
div.apprise .apprise-buttons button {
    background: #0D5F8F;
    border: #0D5F8F;
    text-shadow: none;
    padding: 0px 12px;
    vertical-align: middle; 
    font-size: 14px;
}

/********************** Payment terms ****************************/

.Support{
    float:right;
}



.Support .Ask{
    background-image: url(/Layout/img/menus.png?4808);
    background-repeat: no-repeat;
    background-position: 0 0;
    width: 17px;
    height: 28px;
    padding: 0 !important;
    margin-top: 17px;
    margin-right: 14px;
    margin-left: 4px;
}



.Support .Menu_TopMenu{
    height:auto;
}

.myLinks .Menu_TopMenu{
    height:50px;
}

.SearchIcon{
   background:url('/RichWidgetsExtended/img/magnifying_glass.png?4933');
   width: 23px;
   height: 28px;
   margin-top: 5px;
}



.myLinks{
  float: right;
}

.myLinks .Icon{
  background-image:url(/Layout/img/menus.png?4808);
  background-repeat: no-repeat;
  background-position: -130px center;
  width: 16px;
  height: 20px;
  padding: 0 !important;
  margin-top: 14px;
  margin-right: 20px;
}



/*To Be Removed when the CSS will be generated on Template */
.SectionExpandable .SectionExpandable_header
{
    border-left:  3px solid #16317D;
    background-color: #F2F4FE;
    padding: 15px;
    border-bottom: none !important;
}



.SectionExpandable.expanded .SectionExpandable_content
{
    font-weight: normal;
    font-size: 14px;
    padding: 20px;
    border-color: #E7E7E7;
    border-left: none !important;
    border-right: none !important;
    border-bottom: none !important;
    box-shadow: 1px 3px 10px 0px #bababa;
}


.internalSection .SectionExpandable .SectionExpandable_header
{
    border-top: 1px solid #D1CFC0;
    background-color: #F1F0EA;
    padding: 15px;
    border-left: 0;
}


.internalSection .SectionExpandable.expanded .SectionExpandable_content
{
    font-weight: normal;
    font-size: 14px;
    padding: 15px;
    border-color: 0;
    border-left: 0;
    border-right: 0 ;
    border-bottom: 0 ;   
}

.headerAction
{
    color: #16317d;
    font-size: 18px;
    text-decoration: none;
}

.headerPanel
{
    padding-left: 10px;
    
}

.headerPanel .headerTitle,.headerPanel .MapDesc,.headerPanel .FavouritePanel {
    color:var(--main_color);
}

.Detail_Header{
    background-color:#f1f1f1;
    border-color:var(--main_color);
}

.EventsTitle{
    background-color: var(--main_soft_color);
    color:black;
    font-weight:normal;
    }



.Favorite{
    background-position:-122px -67px;
    height: 24px;
    width: 22px;
}




.ImgSourceIcon{ background-image: url('/HeraCore_UI/img/Icon_sprite.svg'); background-repeat: no-repeat; }
.ImgIconEdit { display: inline-block; background-position: -32px 0; width: 30px; height: 30px; }
/*To Be Removed when the CSS will be generated on Template */



.phone .Tabs__tab,.tablet .Tabs__tab{
    width: auto;
}

.phone .Tabs__tab>div,.tablet .Tabs__tab>div{
    padding-left:0;
}

.headerPanel .NotFavorite {
    background-position: -394px -5px;
    height: 30px;
}

.headerPanel .Favorite {
    background-position: -362px -5px;
    height: 30px;
}

.MenuListMap{
    background-color:white;
    border-radius: 5px;
    padding: 0 30px;
    margin-left:15px;
    height: 25px;
    display: inline-flex;
    align-items: center;
}



.NotFavorite{
    background-position:-152px -67px;
    height: 24px;
    width: 22px;
}

.jstree-icon.jstree-ocl,
.jstree-default>.jstree-no-dots .jstree-open>.jstree-ocl,
.jstree-default>.jstree-no-dots .jstree-closed>.jstree-ocl,i.jstree-ocl:empty{
    display:none;
}

.IsLoading,.DatePickerHeader input{
    min-height: 34px;
}



.Breadcrumbs div {
    margin-bottom: 6px;
}



.MenuListMap:hover{
    background-color: #a1c2e1;
    cursor: pointer;
}

/***** end Filters   ******/

@media (max-height:800px) {
   .MenuIcons .BottomMenu {
        position: static;
    }

}

